import { DataTypes, Model } from "sequelize";
import sequelize from "../database/database";
import { ACCOUNT_EXPORT_ID_LENGTH } from "../utils/constants";

interface UserAccountExportAttributes {
  export_id: string;
  user_id: string;
}

class UserAccountExport
  extends Model<UserAccountExportAttributes>
  implements UserAccountExportAttributes
{
  declare export_id: string;
  declare user_id: string;
  declare created_at: Date;
}

UserAccountExport.init(
  {
    export_id: {
      primaryKey: true,
      type: DataTypes.STRING(ACCOUNT_EXPORT_ID_LENGTH * 2),
      allowNull: false,
    },
    user_id: {
      type: DataTypes.STRING,
      allowNull: false,
    },
  },
  {
    sequelize,
    modelName: "user_account_export",
    createdAt: "created_at",
    updatedAt: "updated_at",
  }
);

export default UserAccountExport;
